Skip to main content
GET
Get task run cost

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskRunId
string
required

The id of the task run.

Response

Successful Response

e.g. { "taskRunId": "npqy9q19q4wlm3", "totalCostUsd": "1.00", "units": 100, "unitType": "imagery", "isSettling": false }

taskRunId
string
required
totalCostUsd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
units
integer
required
unitType
string
required
isSettling
boolean
required